AOZ Studio Beta - Bug #235

Tracker player hangs on complex mod files.
02/15/2020 03:00 PM - Brian Flanagan

Status: In Progress Start date: 02/15/2020
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.5.1

Description

Try loading Dreamer's black_queen.mod file. (Not my style, but great for testing because of its complexity. We could try to repair it,
or perhaps we should consider a different JavaScript player that is already more reliable. There are several open source players
available that do not have this problem.

You can download the black_queen.mod track for testing here (Click on "Download" after you get there.):
https://modarchive.org/index.php?request=view_by_moduleid&query=89637

| put that that modfile: black_queen.mod in the AMOSPro_Examples:Music folder in the default resources for testing. The following
code will load and start to play the music, but it hangs after the first couple of bars.

#manifest:"amiga"

#speed:"safe"

#fps:false

Cls 0 : Pen 2 : Paper O

Track Load "AMOSPro_Examples:Music/black_qgqueen.mod", 6
Print "Click mouse button to start music."
Print "Click again to exit AOZ." : Print

Print " (Track will play until window closed.)"
Repeat Until Mouse Key <> 0

Repeat Until Mouse Key = 0

Track Play 6,0

Repeat Until Mouse Key <> 0

These open source players work:

Bassoon Tracker: (the nicest one I've seen)
https://www.stef.be/bassoontracker/?file=https%3A%2F%2Fwww.stef.be%2Fbassoontracker$2Fapi%2Fmodule
s.pl%2F125

LibOpenMPT/ChipTune?2:

The player at the modarchive.org which is based on libopenmpt and chiptune2.js also works fine.

Go to the link I gave for downloading the track, and instead of clicking "Download", click "Play w
ith Online Player"

https://modarchive.org/index.php?request=view_by_moduleid&query=89637

AVOID THESE:

This one stutters a little at the beginning, but at least it doesn't hang like AOZ's or mod.haxor.
fi's.

https://github.com/DhrBaksteen/ScripTracker

These hang on complex tracker files, just like AOZ's current tracker player.
https://mod.haxor.fi/Dreamer/mod.black_queen
https://med.planet-d.net/demo/web/modplayer/#black_queen.mod

NOT Tested:

https://med.planet-d.net/demo/web/modplayer/
https://github.com/jhalme/webaudio-mod-player

Playing Fastracker 2.XM files in JavaScript:
https://www.alkOn.net/2015/11/09/javascript-ft2-player.html
Amiga .mod player using JavaScript and latest JavaScript APIs:
https://modarchive.org/index.php?request=view_by_moduleid&query=89637

https://www.reddit.com/r/javascript/comments/9gkajs/amiga_mod_player_using_javascript_and_latest/

History

#1 - 02/21/2020 07:06 PM - Francois Lionet

- Assignee set to Baptiste Bideaux

Cadeaaaauuuu! Un beau bug pour toi Baptiste! :)

#2 - 02/21/2020 07:06 PM - Francois Lionet

- Status changed from New to In Progress

#3 - 02/21/2020 09:18 PM - Baptiste Bideaux

Implementation of BassonTracker is in progress...

#4 - 02/23/2020 03:02 PM - Baptiste Bideaux

Implementation of BassoonTracker is done.

#5 - 02/29/2020 02:33 AM - Brian Flanagan
- Affected version changed from 0.9.5 to 0.9.5.1

Track player no longer hangs on complex Mod files, so this issue can be closed...
...HOWEVER, some tracks still sound very distorted. (See bug #254.)
http://support.aoz.studio/issues/254
http://www.tcpdf.org

